<?php
/*
 * --------------------------------------------------------------------------------
   Weblogicx India  - K2 Store v 2.0
 * --------------------------------------------------------------------------------
 * @package		Joomla! 1.5x
 * @subpackage	K2 Store
 * @author    	Weblogicx India http://www.weblogicxindia.com
 * @copyright	Copyright (c) 2010 - 2015 Weblogicx India Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 * @link		http://weblogicxindia.com
 * --------------------------------------------------------------------------------
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
	$link = JRoute::_('index.php?option=com_k2store&view=mycart&Itemid='.$this->params->get('itemid'));
?>

<div id="container">
			<?php if ( $this->items) : ?>
				<table id="cart">
					<?php
						$total_price = $i = 0;
						foreach ( $this->items as $order_code=>$quantity ) :
						
							//get the item price
							$item_price = $this->model->getItemPrice($order_code);
							
							//get item tax
							$get_item_tax = $this->model->getItemTax($order_code);
							
							//calculate total price
							$total_price += $quantity*$item_price;
					?>
						<?php echo $i++%2==0 ? "<tr>" : "<tr class='odd'>"; ?>
							<td class="quantity center"><?php echo $quantity; ?></td>
							<td class="item_name"><?php echo $this->model->getItemName($order_code); ?></td>
							<td class="extended_price"><?php echo $this->params->get('currency');?>&nbsp;<?php echo ($item_price*$quantity); ?></td>
						</tr>
					<?php endforeach; ?>
					<tr><td align="right" colspan="2"><?php echo JText::_('TOTAL'); ?> : &nbsp;&nbsp;</td><td id="total_price"><?php echo $this->params->get('currency');?>&nbsp;<?php echo $total_price; ?></td></tr>
				</table>
				
				<?php if(!$this->summary) { ?>
				<form action="<?php echo $link; ?>" method="post" name="userForm" id="userForm">
				<table>
					<tr>
					<td colspan="2"><input type="button" value="<?php echo JText::_('CHECKOUT'); ?>" onclick="window.location = '<?php echo $link; ?>';" />
					</tr>					
				</table>
				</form>
				<?php } ?>
			
			<?php else: ?>
				<p class="center"><?php echo JText::_('NO ITEMS'); ?></p>
			<?php endif; ?>
		</div>
