<?php
/*
 * --------------------------------------------------------------------------------
   Weblogicx India  - K2 Store v 2.0
 * --------------------------------------------------------------------------------
 * @package		Joomla! 1.5x
 * @subpackage	K2 Store
 * @author    	Weblogicx India http://www.weblogicxindia.com
 * @copyright	Copyright (c) 2010 - 2015 Weblogicx India Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 * @link		http://weblogicxindia.com
 * --------------------------------------------------------------------------------
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the K2Store component
 *
 * @static
 * @package		Joomla
 * @subpackage	K2Store
 * @since 1.0
 */
class K2StoreViewMycart extends JView
{
	function display($tpl = null)
	{
		global $mainframe;
		$pathway	= &$mainframe->getPathway();
		$user 		=	& JFactory::getUser();
		$model		= &$this->getModel();
		 $doc = &JFactory::getDocument();
		 $doc->addScript(JURI::base().'components'.DS.'com_k2store'.DS.'js'.DS.'cart.js');
		 
		 
		 
		// Get the parameters of the active menu item
		$menus	= &JSite::getMenu();
		$menu    = $menus->getActive();
	
		$params = &JComponentHelper::getParams('com_k2store');
		$items	=& $this->get('Data');
		
		//set breadcrumbs
		if (isset( $menu ) && isset($menu->query['view']) && $menu->query['view'] != 'mycart'){
			$pathway->addItem(JText::_('cart'), '');
		}
		
		$this->assignRef('items',		$items);
		$this->assignRef('model',		$model);
		$this->assignRef('params',		$params);
		
		parent::display($tpl);
	}
	
	

}
?>
