<?php
/*
 * --------------------------------------------------------------------------------
   Weblogicx India  - K2 Store v 2.0
 * --------------------------------------------------------------------------------
 * @package		Joomla! 1.5x
 * @subpackage	K2 Store
 * @author    	Weblogicx India http://www.weblogicxindia.com
 * @copyright	Copyright (c) 2010 - 2015 Weblogicx India Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 * @link		http://weblogicxindia.com
 * --------------------------------------------------------------------------------
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');

JTable::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR.DS.'tables');

class K2StoreModelOrders extends JModel {
	
	
protected function _getOrdersQuery( &$options )
	{
		// TODO: Cache on the fingerprint of the arguments
		$db			=& JFactory::getDBO();
		$user =	& JFactory::getUser();
		$groupBy	= @$options['group by'];
		$orderBy	= @$options['order by'];

		/*
		 * select all orders to this user
		 */
		$query = 'SELECT * FROM #__k2store_orders WHERE user_id='.$user->id.
				($groupBy ? ' GROUP BY ' . $groupBy : '').
				($orderBy ? ' ORDER BY ' . $orderBy : '');
		return $query;
	}	

public function getOrders( $options=array() )
	{
		$query	= $this->_getOrdersQuery( $options );
		return $this->_getList( $query, @$options['limitstart'], @$options['limit'] );
	}

	/**
	 * Gets the count of the categories for the given options
	 * @param array
	 * @return int
	 */
public function getOrdersCount( $options=array() )
	{
		$query	= $this->_getOrdersQuery( $options );
		return $this->_getListCount( $query );
	}
	
	
	

public function getData()
    {
		
		$id = JRequest::getInt('id');
		$db = & JFactory::getDBO();
		$query = "SELECT * FROM #__k2store_orders WHERE order_id={$id}";
		$db->setQuery($query, 0, 1);
		return $db->loadObject();	
		
	}
	

public function getOrderDetails($oid) 
	{
		$db = & JFactory::getDBO();
		$query = "SELECT * FROM #__k2store_orderdetails WHERE order_id={$oid}";
		$db->setQuery($query);
		return $db->loadObjectList();
	
	}
	
}
